clear
clc
close all
Wspan = [0 10000.]; % Range for the independent variable i.e weight of the catalyst
y0 = [0]; % Initial values for the dependent variable X
[w,x]=ode45(@ODEfun,Wspan,y0);
z=size(x);
PTo=0.3*40;
alpha = 0.000098;
for i=1:z(1,1)
    % Calculating the values of PB,PT,PH2 from the following expressions
y(i) = (1 - (alpha * w(i))) ^ 0.5; 
PH2(i) = PTo * (1.5 - x(i)) * y(i); 
PB(i) = PTo * x(i) * y(i); 
PT(i) = PTo * (1 - x(i)) * y(i); 
end
plot(w,PH2,w,PB,w,PT)
xlabel('W(kg)')
ylabel('P_i(atm)')
legend('P_H_2','P_B','P_T')
title('Partial pressure profiles')