clear
clc
close all
Wspan = [0 10000.]; % Range for the independent variable i.e weight of the catalyst
y0 = [0]; % Initial values for the dependent variable X
[w,x]=ode45(@ODEfun,Wspan,y0);
z=size(x);
alpha=0.000098;
for i=1:z(1,1)
    % Calculating the values of y from the following expression
    y(i) = (1 - (alpha * w(i))) ^ 0.5;
end
plot(w,x,w,y)
xlabel('W(kg)')
ylabel('X,y')
legend('X','y')
title('Conversion and pressure ratio profiles')